View Issue Details

IDProjectCategoryView StatusLast Update
0031819Open CASCADEOCCT:Documentationpublic2020-12-02 17:13
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031819: Documentation - add references to Flex and Bison
DescriptionFlex and Bison are used for generation of parsers in StepFile and ExprIntrp packages of OCCT, thus they need to be referenced from Requirements section of OCT documentation.
Steps To ReproduceSee https://dev.opencascade.org/doc/overview/html/index.html
TagsNo tags attached.
Test case numberNot required

Activities

git

2020-10-03 10:09

administrator   ~0095612

Branch CR31819 has been created by abv.

SHA-1: cbc6e0744744d8e0348cad593412c324319ba539


Detailed log of new commits:

Author: abv
Date: Sat Oct 3 10:12:37 2020 +0300

    0031819: Documentation - add references to Flex and Bison
    
    References to Flex and Bison added
    
    Related: table of third-party tools in Requirements section is reorganized to be more clear

abv

2020-10-03 10:10

manager   ~0095613

Patch is pushed to branch CR31819, please review

kgv

2020-10-03 10:35

developer   ~0095614

Please correct non-working Doxygen link.

git

2020-10-03 11:18

administrator   ~0095616

Branch CR31819 has been updated forcibly by abv.

SHA-1: a7837baa8071fd364f863370e736fc127d9c6170

abv

2020-10-03 11:52

manager   ~0095617

Link to Doxygen corrected

git

2020-10-03 12:38

administrator   ~0095618

Branch CR31819 has been updated forcibly by abv.

SHA-1: 15c7ffe303cc3d43d6c644bbd69b3418ff22706b

git

2020-10-03 15:45

administrator   ~0095699

Branch CR31819 has been updated forcibly by abv.

SHA-1: a7a802ea976773690abaea402e1b7b16f3c92c77

bugmaster

2020-10-07 15:58

administrator   ~0095779

Combination -
OCCT branch : OCCT-750-BETA
master SHA - 278da162dc52c26c8cfe9d002a6f07db12405194
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : OCCT-750-BETA SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18038.89000000012 / 18085.73000000008 [-0.26%]
Products
Total CPU difference: 12182.170000000115 / 12217.490000000116 [-0.29%]
Windows-64-VC14:
OCCT
Total CPU difference: 19726.21875 / 19713.9375 [+0.06%]
Products
Total CPU difference: 13586.625 / 13579.390625 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-10-08 11:01

administrator   ~0095801

Branch CR31819 has been deleted by inv.

SHA-1: a7a802ea976773690abaea402e1b7b16f3c92c77

Related Changesets

occt: master b9ec690a

2020-10-03 07:12:37

abv


Committer: bugmaster Details Diff
0031819: Documentation - add references to Flex and Bison

References to Flex and Bison added

Related:
- table of third-party tools in Requirements section is reorganized to be more clear
- sections Acknowledgements and Installation are updated
Affected Issues
0031819
mod - dox/introduction/introduction.md Diff File

Issue History

Date Modified Username Field Change
2020-10-03 09:02 abv New Issue
2020-10-03 09:02 abv Assigned To => abv
2020-10-03 10:09 git Note Added: 0095612
2020-10-03 10:10 abv Note Added: 0095613
2020-10-03 10:10 abv Assigned To abv => kgv
2020-10-03 10:10 abv Status new => resolved
2020-10-03 10:35 kgv Note Added: 0095614
2020-10-03 10:36 kgv Assigned To kgv => abv
2020-10-03 10:36 kgv Status resolved => assigned
2020-10-03 10:36 kgv Target Version 7.6.0 => 7.5.0
2020-10-03 11:18 git Note Added: 0095616
2020-10-03 11:52 abv Note Added: 0095617
2020-10-03 11:52 abv Status assigned => resolved
2020-10-03 11:52 abv Assigned To abv => kgv
2020-10-03 11:54 kgv Assigned To kgv => bugmaster
2020-10-03 11:54 kgv Status resolved => reviewed
2020-10-03 12:38 git Note Added: 0095618
2020-10-03 12:59 bugmaster Test case number => Not required
2020-10-03 14:05 bugmaster Status reviewed => tested
2020-10-03 14:12 bugmaster Status tested => feedback
2020-10-03 14:12 bugmaster Status feedback => reviewed
2020-10-03 15:45 git Note Added: 0095699
2020-10-07 15:58 bugmaster Note Added: 0095779
2020-10-07 15:58 bugmaster Status reviewed => tested
2020-10-07 16:17 bugmaster Changeset attached => occt master b9ec690a
2020-10-07 16:17 bugmaster Status tested => verified
2020-10-07 16:17 bugmaster Resolution open => fixed
2020-10-08 11:01 git Note Added: 0095801
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:13 emo Status verified => closed